[Dell Vostro 1450] System halted when unit is idle for a while.

Bug #839238 reported by TienFu Chen on 2011-09-02
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Jesse Sung
Natty
Undecided
TienFu Chen
Oneiric
Medium
Jesse Sung

Bug Description

SRU Justification:

Using an ALPS touchpad in the quirk list makes unloading psmouse.ko hang the system. Also, due to the protocol problem of ALPS touchpad, the disconnect function would be called when system is running, and cause a random hang.

Dell Vostro 1450(201104-7890)

-----

Natty installation will cause this problem, if the installation is finished, then it will still happen during the system operation.
Specification: Vstro, Caruso 14 ST, Discrete, Intel Huron River, LCD 14 HD TLWELD, B810, 1.6G, 640G, 4GB+2GB.
(CID:201104-7890)
Installed with Natty, kernel 2.6.38-8
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1268 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xf7f00000 irq 46'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:111d76d1,10280506,00100205 HDA:80862805,80860101,00100000'
   Controls : 18
   Simple ctrls : 10
DistroRelease: Ubuntu 11.04
HibernationDevice: RESUME=UUID=01884b63-0e21-4a9b-8273-7af5f6b5cf57
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
MachineType: Dell Inc. Vostro 1450
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=57a563a5-cab5-4795-87d7-d9cd34f76c96 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
StagingDrivers: brcm80211
Tags: natty running-unity staging
Uname: Linux 2.6.38-8-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 04/01/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: X08
dmi.board.name: 4IU010
dmi.board.vendor: Dell Inc.
dmi.board.version: X08
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnDellInc.:bvrX08:bd04/01/2011:svnDellInc.:pnVostro1450:pvrNotSpecified:rvnDellInc.:rn4IU010:rvrX08:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: Vostro 1450
dmi.product.version: Not Specified
dmi.sys.vendor: Dell Inc.

TienFu Chen (ctf) on 2011-09-02
Changed in linux (Ubuntu):
assignee: nobody → Chris Van Hoof (vanhoof)
status: New → Confirmed
Anthony Wong (anthonywong) wrote :

Tim, could you post the relevant part of kernel log here?

Changed in linux (Ubuntu):
assignee: Chris Van Hoof (vanhoof) → Tim Chen (ctf)
importance: Undecided → Medium
TienFu Chen (ctf) on 2011-09-05
description: updated
TienFu Chen (ctf) wrote :

Anthony, I finally get Natty installed on the system, but I can't get the kernel log now, the unit can't boot to shell, the screen just turned to blank after grub.
I will try more time to see if it can boot to shell.

description: updated

apport information

tags: added: apport-collected natty running-unity staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

TienFu Chen (ctf) wrote : Lspci.txt

apport information

TienFu Chen (ctf) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

TienFu Chen (ctf) wrote : RfKill.txt

apport information

TienFu Chen (ctf) wrote : UdevDb.txt

apport information

apport information

apport information

Changed in linux (Ubuntu):
assignee: Tim Chen (ctf) → Anthony Wong (anthonywong)
status: Confirmed → Incomplete
TienFu Chen (ctf) wrote :

Anthony, I have attached the logs.

Anthony Wong (anthonywong) wrote :

Jesse, can you find Tim (from cert team) for the machine and work with him on this bug?

Changed in linux (Ubuntu):
assignee: Anthony Wong (anthonywong) → Jesse Sung (wenchien)
status: Incomplete → Triaged
Jesse Sung (wenchien) wrote :

kernel oops while booting...

Jesse Sung (wenchien) wrote :
Jesse Sung (wenchien) wrote :

The radeon issue makes system hang while booting. Halt in the installer or a running system may be caused by some other problems.

Changed in linux (Ubuntu):
status: Triaged → In Progress
Jesse Sung (wenchien) wrote :

Sent to kernel-team list for review:
https://lists.ubuntu.com/archives/kernel-team/2011-September/017061.html

https://bugs.launchpad.net/bugs/839238

SRU Justification:

Using an ALPS touchpad in the quirk list makes unloading psmouse.ko hang
the system.
Also, due to the protocol problem of ALPS touchpad, the disconnect
function would be called when system is running, and cause a random hang.

Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.0.0-12.19

---------------
linux (3.0.0-12.19) oneiric; urgency=low

  [ Alex Bligh ]

  * SAUCE: (drop after v3.1) net/netfilter/nf_conntrack_netlink.c: fix Oops
    on container destroy
    - LP: #843892

  [ Andy Whitcroft ]

  * [Config] standardise on HZ=250
  * SAUCE: headers_install: fix #include "..." usage for userspace
    - LP: #824377
  * make module-inclusion selection retain the left overs
  * add a new linux-image-extras package for virtual

  [ edwin_rong ]

  * SAUCE: Staging: add driver for Realtek RTS5139 cardreader
    - LP: #824273

  [ Greg Kroah-Hartman ]

  * SAUCE: staging: rts5139: add vmalloc.h to some files to fix the build.
    - LP: #824273

  [ Jesse Sung ]

  * SAUCE: Unregister input device only if it is registered
    - LP: #839238

  [ Keng-Yu Lin ]

  * [Config] Enable CONFIG_RTS5139=m on i386/amd64
    - LP: #824273

  [ Leann Ogasawara ]

  * SAUCE: x86: reboot: Make Dell Optiplex 990 use reboot=pci
    - LP: #768039
  * SAUCE: x86: reboot: Make Dell Latitude E6220 use reboot=pci
    - LP: #838402

  [ Ming Lei ]

  * SAUCE: ata: make DVD drive recognisable on systems with Sandybridge CPT
    chipset
    - LP: #794642

  [ Paolo Pisati ]

  * [Config] Compile-in vfat support for armel
    - LP: #853783

  [ Randy Dunlap ]

  * SAUCE: staging: fix rts5139 depends & build
    - LP: #824273

  [ Tim Gardner ]

  * [Config] Fix binary-% build target
  * SAUCE: (drop after 3.0.0) OMAP3 and 4 hwmod I2C units only allow 16 bit
    access
    - LP: #852225

  [ Upstream Kernel Changes ]

  * hfsplus: Fix kfree of wrong pointers in hfsplus_fill_super() error path
    - LP: #854987
  * rt2x00: Serialize TX operations on a queue.
    - LP: #855239
 -- Leann Ogasawara <email address hidden> Wed, 14 Sep 2011 06:14:30 -0700

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Jeremy Kerr (jk-ozlabs) on 2011-09-26
Changed in linux (Ubuntu Natty):
status: New → Confirmed
Tim Gardner (timg-tpi) on 2011-09-26
Changed in linux (Ubuntu Natty):
status: Confirmed → Fix Committed
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Natty in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty
TienFu Chen (ctf) wrote :

Hi,
I installed the proposed kernel: 2.6.38-12.51, the kernel won't panic.

related kernel message:
[ 1219.395771] psmouse.c: bad data from KBC - timeout
[ 1221.666532] alps.c: Enabled hardware quirk, falling back to psmouse-core
[ 1221.679438] input: ImPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input14
[ 1545.867486] composite sync not supported
[ 1576.763389] psmouse.c: GlidePoint at isa0060/serio1/input0 lost synchronization, throwing 1 bytes away.
[ 1577.270032] psmouse.c: resync failed, issuing reconnect request
[ 2007.816898] psmouse.c: bad data from KBC - timeout
[ 2010.121752] psmouse.c: GlidePoint at isa0060/serio1/input0 lost synchronization, throwing 2 bytes away.

Changed in linux (Ubuntu Natty):
assignee: nobody → Tim Chen (ctf)
Ara Pulido (ara) on 2011-10-11
tags: added: verification-done-natty
removed: verification-needed-natty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-12.51

---------------
linux (2.6.38-12.51) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #860832

  [ Alex Bligh ]

  * SAUCE: net/netfilter/nf_conntrack_netlink.c: fix Oops on container
    destroy
    - LP: #843892

  [ Jesse Sung ]

  * SAUCE: Unregister input device only if it is registered
    - LP: #839238

  [ Leann Ogasawara ]

  * SAUCE: x86: reboot: Make Dell Latitude E6220 use reboot=pci
    - LP: #838402
  * SAUCE: x86: reboot: Make Dell Latitude E6520 use reboot=pci
    - LP: #833705

  [ Ming Lei ]

  * SAUCE: fireware: add NO_MSI quirks for o2micro controller
    - LP: #801719

  [ Stefan Bader ]

  * [Config] Include all filesystem modules for virtual
    - LP: #761809

  [ Tim Gardner ]

  * [Config] kernel preparation cannot be parallelized
  * [Config] Linearize module/abi checks
  * [Config] Linearize and simplify tree preparation rules
  * [Config] Build kernel image in parallel with modules
  * [Config] Set concurrency for kmake invocations
  * [Config] Improve install-arch-headers speed
  * [Config] Fix binary-perarch dependencies
  * [Config] Removed stamp-flavours target
  * [Config] Serialize binary indep targets
  * [Config] Use build stamp directly
  * [Config] Restore prepare-% target
  * [Config] Fix binary-% build target

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: disable PCH ports if needed when disabling a CRTC"
    - LP: #814325, #838181
  * drm/i915: restore only the mode of this driver on lastclose (v2)
    - LP: #848687
  * cifs: fix possible memory corruption in CIFSFindNext, CVE-2011-3191
    - LP: #834135
    - CVE-2011-3191
  * befs: Validate length of long symbolic links, CVE-2011-2928
    - LP: #834124
    - CVE-2011-2928
  * gro: Only reset frag0 when skb can be pulled, CVE-2011-2723
    - LP: #844371
    - CVE-2011-2723
  * inet_diag: fix inet_diag_bc_audit(), CVE-2011-2213
    - LP: #838421
    - CVE-2011-2213
  * si4713-i2c: avoid potential buffer overflow on si4713, CVE-2011-2700
    - LP: #844370
    - CVE-2011-2700
  * Bluetooth: Prevent buffer overflow in l2cap config request,
    CVE-2011-2497
    - LP: #838423
    - CVE-2011-2497
  * crypto: Move md5_transform to lib/md5.c, CVE-2011-3188
    - LP: #834129
    - CVE-2011-3188
  * net: Compute protocol sequence numbers and fragment IDs using MD5,
    CVE-2011-3188
    - LP: #834129
    - CVE-2011-3188
  * x86, intel, power: Initialize MSR_IA32_ENERGY_PERF_BIAS
    - LP: #760131
  * x86, intel, power: Correct the MSR_IA32_ENERGY_PERF_BIAS message
    - LP: #760131
  * rt2x00: Serialize TX operations on a queue.
    - LP: #855239
  * ext4: Fix max file size and logical block counting of extent format
    file, CVE-2011-2695
    - LP: #819574
    - CVE-2011-2695
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 27 Sep 2011 16:19:57 -0300

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
TienFu Chen (ctf) wrote :

Linux ubuntu-Inspiron-N311z 3.0.0-14-generic #23-Ubuntu SMP Mon Nov 21 20:34:47 UTC 2011 i686 i686 i386 GNU/Linux

[ 29.996825] psmouse.c: bad data from KBC - timeout
[ 30.308194] psmouse.c: bad data from KBC - timeout
[ 31.035999] wlan2: no IPv6 routers present
[ 31.388433] psmouse.c: GlidePoint at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.
[ 31.893981] psmouse.c: resync failed, issuing reconnect request
[ 46.450278] psmouse.c: bad data from KBC - timeout
[ 74.189963] psmouse.c: GlidePoint at isa0060/serio1/input0 lost synchronization, throwing 1 bytes away.
[ 74.695614] psmouse.c: resync failed, issuing reconnect request
[ 75.273352] psmouse.c: Failed to enable mouse on isa0060/serio1
[ 111.703595] alps.c: Enabled hardware quirk, falling back to psmouse-core
[ 111.716151] input: ImPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input13
[ 159.510619] psmouse.c: bad data from KBC - timeout
[ 162.139868] psmouse.c: GlidePoint at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.
[ 162.645558] psmouse.c: resync failed, issuing reconnect request
[ 202.165395] psmouse.c: GlidePoint at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.
[ 202.672901] psmouse.c: resync failed, issuing reconnect request
[ 209.698386] psmouse.c: bad data from KBC - timeout
[ 215.971606] psmouse.c: GlidePoint at isa0060/serio1/input0 lost synchronization, throwing 1 bytes away.
[ 216.475133] psmouse.c: resync failed, issuing reconnect request
[ 282.768637] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
[ 282.821807] composite sync not supported
[ 290.615592] input: PS/2 Mouse as /devices/platform/i8042/serio1/input/input14
[ 290.631525] input: AlpsPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input15
[ 295.580660] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[ 295.648348] psmouse.c: GlidePoint at isa0060/serio1/input0 - driver resynched.
[ 295.649407] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[ 295.687987] psmouse.c: GlidePoint at isa0060/serio1/input0 - driver resynched.
[ 295.689018] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1

TienFu Chen (ctf) on 2011-12-21
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers